# XML specification

The method of dispatch is always **`POST`**

Query headers should always contain

```
Content-type: text/xml; charset=utf-8;
```

Encoding of XML documents: **`UTF-8`**

The transmitted XML document must not contain any string translations

Line translations in the data itself should be replaced with a **`/n`**

#### Server address for sending requests

<mark style="color:red;">`http://lk.mysmpp.ru`</mark>

### Examples of XML transmission

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" %}

```php
// XML-document
$src = '<?xml version="1.0" encoding="utf-8"?><request><security><login value="login" /><password value="password" /></security></request>';  
// server address
$href = 'http://server/script.php'; 
$res = '';
$ch = curl_init();
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-type: text/xml; charset=utf-8'));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CRLF, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $src);
curl_setopt($ch, CURLOPT_URL, $href);
$result = curl_exec($ch);
$res = $result;
curl_close($ch);
echo $res;
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/xml-specification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
